Bug 1395077 (CVE-2016-8648)

Summary: CVE-2016-8648 Karaf JMX Console RCE during deserialization
Product: [Other] Security Response Reporter: Jason Shepherd <jshepherd>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aileenc, chazlett, hchirino, jshepherd, security-response-team, slong
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that the Karaf container used by Red Hat JBoss Fuse 6.x, and Red Hat JBoss A-MQ 6.x, deserializes objects passed to MBeans via JMX operations. An attacker could use this flaw to execute remote code on the server as the user running the Java Virtual Machine if the target MBean contain deserialization gadgets in its classpath.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1395084    

Description Jason Shepherd 2016-11-15 05:29:53 UTC
It was found that Karaf deserializes objects passed to certain MBeans via the JMX endpoint. An attacker could use this flaw to execute remote code on the server as the user running the Java Virtual Machine.

Comment 1 Jason Shepherd 2016-11-15 05:29:59 UTC
Acknowledgments:

Name: Jason Shepherd (Red Hat)

Comment 4 Jason Shepherd 2016-11-24 06:45:54 UTC
Mitigation:

In order to exploit this issue you need to have credentials of a user with the 'admin' role. Therefore a good mitigation against this attack is to set a strong password for any user with the 'admin' role in the 'etc/users.properties' file of the Red Hat JBoss Fuse 6, or Red Hat JBoss AM-Q 6.

Comment 6 Jason Shepherd 2016-11-30 01:46:52 UTC
Updated it to amq-6. However seems amq-6.3.0 was valid to me. Maybe you didn't have the latest product.ini?

Comment 7 Hiram Chirino 2016-12-02 14:09:27 UTC
Which MBeans are affected?

Comment 11 Jason Shepherd 2020-07-13 22:20:34 UTC
*** Bug 1395074 has been marked as a duplicate of this bug. ***